Security
Remove a login domain
DELETE /v1/login-domains/{id} · SDK removeLoginDomain · CLI deployments login-domain remove
DELETE
Requires members:write.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512LoginDomainResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timednsRecord*domain*stringid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$state*|updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecurl -X DELETE "https://example.com/v1/login-domains/string" \ -H "x-deployments-organization: string" \ -H "idempotency-key: string"{ "createdAt": "2019-08-24T14:15:22Z", "dnsRecord": { "name": "string", "type": "TXT", "value": "string" }, "domain": "string", "id": "string", "state": { "kind": "pending" }, "updatedAt": "2019-08-24T14:15:22Z"}